diff -Nru a/udev-lfs-208-2/Makefile.lfs b/udev-lfs-208-2/Makefile.lfs
--- a/udev-lfs-208-2/Makefile.lfs	2014-01-20 19:02:22.000000000 -0500
+++ b/udev-lfs-208-2/Makefile.lfs	2014-02-14 19:19:02.157033989 -0500
@@ -7,6 +7,8 @@
 SYSTEMD_VERSION=208
 VERSION=$(SYSTEMD_VERSION)-2
 
+CC=gcc
+
 ifeq ($(V),)
  VB = @
 else
@@ -149,16 +151,18 @@
         src/udev/mtd_probe src/udev/collect  src/udev/ata_id        \
         src/libudev        src/test          src/libsystemd-daemon 
 
+LIBDIR = lib
+
 SED_PROCESS = \
   sed  -e 's|@VERSION@|$(SYSTEMD_VERSION)|g'       \
        -e 's|@prefix@|/usr|g'              \
        -e 's|@exec_prefix@|/usr|g'         \
        -e 's|@udevlibexecdir@|/lib/udev|g' \
-       -e 's|@libdir@|/usr/lib|g'          \
+       -e 's|@libdir@|/usr/$(LIBDIR)|g'          \
        -e 's|@includedir@|/usr/include|g'  \
         < $< > $@
 
-SECURE = $(shell if objdump -T /lib/libc.so.6 | grep -q " secure_getenv"; \
+SECURE = $(shell if objdump -T /$(LIBDIR)/libc.so.6 | grep -q " secure_getenv"; \
 then echo yes; fi)
 
 ifeq "$(SECURE)" "yes"
@@ -193,22 +197,22 @@
 
 build/%o: %c common
 	@echo CC $<
-	$(VB)gcc -c $(WARN) $(OPTIONS2) $(INCLUDE) $(DEF) -o $@ $<
+	$(VB)$(CC) -c $(WARN) $(OPTIONS2) $(INCLUDE) $(DEF) -o $@ $<
 
 # Sources from src/libudev use -fvisibility=hidden
 build/%o: src/libudev/%c common
 	@echo CC $<
-	$(VB)gcc -c $(WARN) $(OPTIONS) $(INCLUDE) $(DEF) -o $@ $<
+	$(VB)$(CC) -c $(WARN) $(OPTIONS) $(INCLUDE) $(DEF) -o $@ $<
 
 # Sources from src/shared use -fvisibility=hidden
 build/%o: src/shared/%c common
 	@echo CC $<
-	$(VB)gcc -c $(WARN) $(OPTIONS) $(INCLUDE) $(DEF) -o $@ $<
+	$(VB)$(CC) -c $(WARN) $(OPTIONS) $(INCLUDE) $(DEF) -o $@ $<
 
 # Build the dynamic library
 build/$(LIBUDEV_REAL_NAME): $(LIBUDEV_OBJS) build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc -shared -fPIC -DPIC             \
+	$(VB)$(CC) -shared -fPIC -DPIC             \
       $(LIBUDEV_OBJS)                       \
       build/$(COMMON_LIB)                   \
       -Wl,--no-whole-archive -ldl -lrt -O2  \
@@ -231,51 +235,51 @@
 
 build/udevd: build/$(COMMON_LIB) build/udevd.o
 	@echo LINK $@
-	$(VB)gcc build/udevd.o $(UDEVD_OBJS) -o $@ $(LDFLAGS2) \
+	$(VB)$(CC) build/udevd.o $(UDEVD_OBJS) -o $@ $(LDFLAGS2) \
       build/udev-local.a build/$(COMMON_LIB)
 	$(VB)strip --strip-unneeded $@
 
 build/udevadm: $(UDEV_ADMIN_OBJS) build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc $(UDEV_ADMIN_OBJS) -o $@ $(LDFLAGS2) build/$(COMMON_LIB)
+	$(VB)$(CC) $(UDEV_ADMIN_OBJS) -o $@ $(LDFLAGS2) build/$(COMMON_LIB)
 	$(VB)strip --strip-unneeded $@
 
 build/accelerometer: build/accelerometer.o build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc build/accelerometer.o -o $@ \
+	$(VB)$(CC) build/accelerometer.o -o $@ \
       build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1) -lm
 	$(VB)strip --strip-unneeded $@
 
 build/scsi_id: build/scsi_id.o build/scsi_serial.o build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc build/scsi_id.o build/scsi_serial.o -o $@ \
+	$(VB)$(CC) build/scsi_id.o build/scsi_serial.o -o $@ \
       build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
 	$(VB)strip --strip-unneeded $@
 
 build/ata_id: build/ata_id.o build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc build/ata_id.o -o $@ build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
+	$(VB)$(CC) build/ata_id.o -o $@ build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
 	$(VB)strip --strip-unneeded $@
 
 build/cdrom_id: build/cdrom_id.o build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc build/cdrom_id.o -o $@ build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
+	$(VB)$(CC) build/cdrom_id.o -o $@ build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
 	$(VB)strip --strip-unneeded $@
 
 build/v4l_id: build/v4l_id.o build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc build/v4l_id.o -o $@ build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
+	$(VB)$(CC) build/v4l_id.o -o $@ build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
 	$(VB)strip --strip-unneeded $@
 
 build/mtd_probe: build/mtd_probe.o build/probe_smartmedia.o build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc build/mtd_probe.o build/probe_smartmedia.o -o $@ \
+	$(VB)$(CC) build/mtd_probe.o build/probe_smartmedia.o -o $@ \
       build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
 	$(VB)strip --strip-unneeded $@
 
 build/collect: build/collect.o build/$(COMMON_LIB)
 	@echo LINK $@
-	$(VB)gcc build/collect.o -o $@ build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
+	$(VB)$(CC) build/collect.o -o $@ build/udev-local.a build/$(COMMON_LIB) $(LDFLAGS1)
 	$(VB)strip --strip-unneeded $@
 
 build/%pc: %pc.in common
@@ -285,7 +289,7 @@
 install: udev
 	@mkdir -pv $(DESTDIR)/lib/udev/devices/pts   $(DESTDIR)/lib/udev/rules.d \
               $(DESTDIR){,/usr}/lib/firmware    $(DESTDIR)/sbin             \
-              $(DESTDIR)/usr/lib/pkgconfig      $(DESTDIR)/etc/udev/rules.d \
+              $(DESTDIR)/usr/$(LIBDIR)/pkgconfig      $(DESTDIR)/etc/udev/rules.d \
               $(DESTDIR)/usr/share/man/man{7,8} $(DESTDIR)/usr/include      \
               $(DESTDIR)/usr/share/doc/udev-$(SYSTEMD_VERSION)/lfs          \
               $(DESTDIR)/usr/share/gtk-doc/html/libudev
@@ -298,11 +302,11 @@
 	@cp -v udev-lfs-$(VERSION)/*functions $(DESTDIR)/lib/udev
 
    # Copy and set up library and associated files
-	@cp -v build/{lib,}udev.pc            $(DESTDIR)/usr/lib/pkgconfig
-	@cp -v build/$(LIBUDEV_REAL_NAME)     $(DESTDIR)/lib
+	@cp -v build/{lib,}udev.pc            $(DESTDIR)/usr/$(LIBDIR)/pkgconfig
+	@cp -v build/$(LIBUDEV_REAL_NAME)     $(DESTDIR)/$(LIBDIR)
 
-	ln -svfn ../../lib/$(LIBUDEV_REAL_NAME) $(DESTDIR)/usr/lib/$(LIBUDEV_SONAME)
-	ln -svfn $(LIBUDEV_REAL_NAME)           $(DESTDIR)/lib/$(LIBUDEV_LINK_NAME)
+	ln -svfn ../../$(LIBDIR)/$(LIBUDEV_REAL_NAME) $(DESTDIR)/usr/$(LIBDIR)/$(LIBUDEV_SONAME)
+	ln -svfn $(LIBUDEV_REAL_NAME)           $(DESTDIR)/$(LIBDIR)/$(LIBUDEV_LINK_NAME)
 
    # Copy the libudev header
 	@cp -v src/libudev/libudev.h          $(DESTDIR)/usr/include
